



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Unity3D中读取CSV文件</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Unity3D中读取CSV文件</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-09 16:45:13 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>直接上代码</p>
<p>Part1：</p>
<div>
<pre class="prettyprint linenums"> using UnityEngine;<br />
 using System.IO;<br />
 using System.Collections.Generic;

 public class CSV<br />
 {<br />
     static CSV csv;<br />
     public List&lt;string[]&gt; m_ArrayData;<br />
     public static CSV GetInstance()<br />
     {<br />
         if (csv == null)<br />
         {<br />
             csv = new CSV();<br />
         }<br />
         return csv;<br />
     }<br />
     private CSV() { m_ArrayData = new List&lt;string[]&gt;(); }<br />
     public string GetString(int row, int col)<br />
     {<br />
         return m_ArrayData[row][col];<br />
     }<br />
     public int GetInt(int row, int col)<br />
     {<br />
         return int.Parse(m_ArrayData[row][col]);<br />
     }<br />
     public void LoadFile(string path, string fileName)<br />
     {<br />
         m_ArrayData.Clear();<br />
         StreamReader sr = null;<br />
         try<br />
         {<br />
             sr = File.OpenText(path + "//" + fileName);<br />
             Debug.Log("file finded!");<br />
         }<br />
         catch<br />
         {<br />
             Debug.Log("file don't finded!");<br />
             return;<br />
         }<br />
         string line;<br />
         while ((line = sr.ReadLine()) != null)<br />
         {<br />
             m_ArrayData.Add(line.Split(','));<br />
         }<br />
         sr.Close();<br />
         sr.Dispose();<br />
     }<br />
 }</pre>
</div>
<p>Part2：</p>
<div>
<pre class="prettyprint linenums">using UnityEngine;

public class FileController : MonoBehaviour<br />
{

    // Use this for initialization<br />
    void Start ()<br />
    {<br />
        CSV.GetInstance().LoadFile(Application.dataPath + "/Res", "myTest.csv");

        Debug.Log("GetString : " + CSV.GetInstance().GetString(, ));<br />
        Debug.Log("GetInt : " + CSV.GetInstance().GetString(, ));<br />
    }<br />
}</pre>
</div>
<p>补充</p>
<p>关于路径有4个类型：</p>
<p>Application.dataPath：该路径指向我们Unity编辑器的Asset文件夹</p>
<p>Application.persistentDataPath：该路径指向iOS和Android的沙盒路径</p>
<p>Application.streamingAssetsPath：streamingAsset文件夹路径，在任何平台都可以通过这个路径读取到文件夹里的内容</p>
<p>Application.temporaryCachePath：临时数据文件路径</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49572yeq.html">ASP&period;NET程序中常用的三十三种代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1dd14q.html">Codeforces Round &num;282 Div&period;1 B Obsessive String --DP</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2lkkl9.html">node&period;js基础 1之简单的nodejs模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql6yjeq.html">Canvas修行之黑客帝国代码雨</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1pwo59.html">AIDL Service Android进程间通信机制</a>
		</li>
						<li><a href="https://www.batexi.com/a/950dlle8.html">利用dbutils工具实现数据的增删查改操作&lpar;dbutis入门&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjem2l9.html">C&num; 反射获取属性类型及属性值，两个实体转换</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvwplx8.html">git分散式版本管理系统，从安装到基本使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2npoj9.html">ESXi虚拟机出现关机时卡住的问题处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wz62wq.html">基于hiredis&comma;redis C客户端封装</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4nveeq.html">PAT B1042 字符统计 （20 分）</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1v76x9.html">【北京】安全研究员&sol;工程师-20-35K，人体工程学座椅坐等你来~</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql17ez19.html">搜索入门之dfs--经典的迷宫问题解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4p2p65q.html">Shell或notepad连接虚拟机操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyvl762q.html">CSS2中的伪类与伪元素</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vgo5zq.html">iOS Web开发</a>
		</li>
						<li><a href="https://www.batexi.com/a/8odn36lq.html">20145327实验五 Java网络编程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy21vg29.html">高性能Web服务器Nginx的配置与部署研究（7）核心模块之主模块的非测试常用指令</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15rp059.html">Django多进程日志文件问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pmgxvd9.html">bzoj 3456 城市规划&mdash;&mdash;分治FFT &sol; 多项式求逆 &sol; 多项式求ln</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8okw6dl9.html">FishEye简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vn6zo8.html">Linux实时将所有输出重定向到文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvo6r1q.html">&lbrack;PeterDLax著泛函分析习题参考解答&rsqb;第7章 Hilbert 空间结果的应用</a>
			</li>
						<li><a href="https://www.batexi.com/a/96okx2v9.html">HDOJ--1698</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gm0lml9.html">DBA的那些事</a>
			</li>
						<li><a href="https://www.batexi.com/a/96ok13y9.html">Ubuntu下安装mysql-python包</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdpk0k8.html">Python的高级特性之切片、迭代、列表生成式、生成器</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pj6n1d9.html">add-apt-repository cloud-archive&colon;liberty</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pj6j3y9.html">Linux下SVN命令总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y5zp3q.html">ASP&period;NET【2】</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
